import Vue from 'vue';
import Alert from '../components/popup.vue';
let AlertConstructor = Vue.extend(Alert);

let AlertModal = (o) => {
  let alertDom = new AlertConstructor({
    el: document.createElement('div')
  })
  document.body.appendChild(alertDom.$el);
  alertDom.title = o.title || '信息';
  alertDom.showType = o.showType || null;
  alertDom.detailData = o.detailData || null;
  alertDom.a_searchLine = o.a_searchLine || null;
}
export default AlertModal;
